For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardWebsiteCommunity
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • API Reference
      • GETList TaskAgent Eval Sets
      • POSTCreate TaskAgent Eval Set
      • GETGet TaskAgent Eval Set
      • POSTUpdate TaskAgent Eval Set
      • DELDelete TaskAgent Eval Set
      • GETList TaskAgent Eval Runs
      • POSTStart TaskAgent Eval Run
      • GETGet TaskAgent Eval Run
  • External Links
    • Agent API Docs
    • OpenAPI Spec
LogoLogo
DashboardWebsiteCommunity
API ReferenceTask Agent Evals

List TaskAgent Eval Sets

GET
/org/:org_id/project/:project_id/task-agent/:task_agent_id/eval/set
GET
/api/v1/org/:org_id/project/:project_id/task-agent/:task_agent_id/eval/set
$curl https://app.rightbrain.ai/api/v1/org/org_id/project/project_id/task-agent/task_agent_id/eval/set \
> -H "Authorization: Bearer <token>"
1{
2 "results": [
3 {
4 "id": "string",
5 "name": "string",
6 "task_agent_id": "string",
7 "project_id": "string",
8 "created": "string",
9 "modified": "string",
10 "task_agent_run_ids": [
11 "string"
12 ],
13 "description": "string",
14 "created_by_user_id": "string"
15 }
16 ],
17 "pagination": {
18 "next_cursor": "019097c5-5560-05b5-4a48-5197a269683b",
19 "has_next": true,
20 "page_limit": 100
21 }
22}
List TaskAgent eval sets visible to the caller. Viewers without full run visibility only see eval artifacts they created.
Was this page helpful?
Previous

Create TaskAgent Eval Set

Next
Built with

Authentication

AuthorizationBearer

Bearer token authentication using JWT tokens from Ory Kratos/Hydra

Path parameters

org_idstringRequiredformat: "uuid"
The organization ID
project_idstringRequiredformat: "uuid"
The project ID
task_agent_idstringRequiredformat: "uuid"
The task agent ID

Query parameters

limitintegerOptional1-100Defaults to 100

The maximum number of items to return per page. Defaults to 100 if not specified.

cursorstringOptional

A cursor for pagination. Use the next_cursor value from the previous response to get the next page of results.

Response

Successful Response
resultslist of objects
The list of items returned for the current page.
paginationobject or null
Contains pagination information for the result set.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error